# Aplikasi CRUD dengan PHP, MySQL, Bootstrap, dan JQuery AJAX
CRUD merupakan singkatan dari Create, Read, Update, dan Delete. Operasi CRUD merupakan operasi dasar yang harus diketahui oleh setiap programmer karena akan selalu digunakan dalam membangun sebuah sistem.

Aplikasi ini dibangun dengan :
-	Menggunakan bahasa pemrograman PHP versi 8.
-	Menggunakan database management system MySQL versi 8.
-	Menggunakan MySQLi Extension untuk berkomunikasi dengan database.
-	Menggunakan framework CSS Bootstrap 5 untuk membuat desain tampilan aplikasi.
-	Menggunakan library JavaScript jQuery untuk memudahkan dan mempercepat dalam membuat website yang interaktif.
- Menggunakan jQuery AJAX untuk membuat aplikasi web interaktif yang dapat melakukan operasi CRUD tanpa reload/refresh halaman.
-	Menggunakan plugin jQuery DataTables (Server-side processing) untuk menampilkan data dalam bentuk tabel yang sudah dilengkapi dengan fitur paging, sorting, dan searching.
-	Menggunakan Bootstrap Notify untuk menampilkan notifikasi sesuai dengan proses yang dijalankan.
- Menggunakan Bootbox.js untuk membuat custom modal dialog dengan Bootstrap modal.
-	Menggunakan library Flatpickr untuk membuat datetime picker.
-	Menggunakan Font Awesome untuk membuat icon yang menarik dengan sistem "Font Icon" (hanya menggunakan teks dan tanpa gambar).

![pustakakoding-aplikasi-crud-php-mysql-bootstrap-jquery-ajax](https://github.com/pustakakoding/aplikasi-crud-php8-mysql8-bootstrap5-jquery-ajax/assets/88012593/c204afbe-7353-431f-b26e-56bfa0eadaa1)

# Materi yang dapat dipelajari dari aplikasi ini adalah :

1. Create (Menyimpan Data), 
Membuat script untuk menyimpan/insert data dari aplikasi ke database MySQL.

2. Read (Menampilkan Data), 
Membuat script untuk membaca dan menampilkan data dari database MySQL ke aplikasi.

3. Update (Mengubah Data), 
Membuat script untuk mengubah/update data pada database MySQL melalui apilkasi.

4. Delete (Menghapus Data), 
Membuat script untuk menghapus/delete data pada database MySQL melalui aplikasi.

5. Upload File, 
Membuat script untuk mengupload file foto, membuat validasi tipe file, membuat validasi ukuran file dan membuat preview foto sebelum diupload.

6. Validasi Form Input, 
Membuat fungsi untuk validasi form input wajib diisi dan membatasi karakter yang diinputkan (bisa diinputkan huruf, angka atau karakter tertentu saja).

7. Keamanan dasar untuk mencegah SQL injection, 
Membuat keamanan dasar untuk mencegah SQL injection saat proses input data. Menghilangkan spasi di belakang dan di depan data yang diinputkan.

8. CSS Bootstrap 5, 
Membuat desain tampilan aplikasi menggunakan CSS Bootstrap 5.

9. JQuery DataTables (Server-side processing), 
Membuat tabel yang dinamis menggunakan JQuery DataTables (Server-side processing) untuk menampilkan data dari database dalam jumlah yang sangat besar. Sehingga aplikasi yang memiliki banyak data, akan terasa ringan ketika di load. Tabel sudah dilengkapi dengan dengan fitur paging, sorting, dan searching.

10. AJAX (Asynchronous JavaScript and XML), 
Membuat aplikasi web interaktif yang dapat melakukan operasi CRUD tanpa reload/refresh halaman menggunakan AJAX (Asynchronous JavaScript and XML)
