<div class="d-flex flex-column flex-lg-row mt-5 mb-3">
    <!-- judul halaman -->
    <div class="flex-grow-1 d-flex align-items-center">
        <i class="fa-regular fa-user icon-title"></i>
        <h3>Tarif</h3>
    </div>
    <!-- breadcrumbs -->
    <div class="ms-5 ms-lg-0 pt-lg-2">
        <nav style="--bs-breadcrumb-divider: '>';" aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="https://pustakakoding.com/"
                        class="text-dark text-decoration-none"><i class="fa-solid fa-house"></i></a></li>
                <li class="breadcrumb-item"><a href="?halaman=data" class="text-dark text-decoration-none">Siswa</a>
                </li>
                <li class="breadcrumb-item" aria-current="page">Data</li>
            </ol>
        </nav>
    </div>
</div>

<div class="d-grid gap-2 d-md-block bg-white rounded-4 shadow-sm p-4 mb-3">
    <!-- button entri data -->
    <button id="btn-entri" class="btn btn-primary rounded-pill py-2 px-4">
        <i class="fa-solid fa-plus me-2"></i> Entri Tarif
    </button>
</div>

<div class="d-grid gap-2 d-md-block bg-white rounded-4 shadow-sm p-4 mb-5">
    <div class="table-responsive">
        <!-- tabel untuk menampilkan data dari database -->
        <table id="tabel-tarif" class="table table-bordered table-striped table-hover" style="width:100%">
            <thead class="table-light">
                <th class="text-center">No.</th>
                <th class="text-center">Wilayah</th>
                <th class="text-center">Kelurahan</th>
                <th class="text-center">Kecamatan</th>
                <th class="text-center">Kabupaten</th>
                <th class="text-center">Provinsi</th>
                <th class="text-center">Tarif</th>
                <th class="text-center">Aksi</th>
            </thead>
        </table>
    </div>
</div>

<!-- Modal form entri dan ubah data -->
<div class="modal fade" id="mdl-form" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="mdl-label" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <!-- judul form -->
                <h1 class="modal-title fs-5">
                    <i class="fas fa-expand me-2"></i><span id="mdl-label"></span>
                </h1>
                <button type="button" class="btn btn-tool" data-bs-dismiss="modal">
                    <i class="fas fa-times"></i>
                </button>
            </div>
            <div class="modal-body text-start">
                <!-- form -->
                <form id="frm-tarif" enctype="multipart/form-data" class="needs-validation" novalidate>

                    <input type="hidden" id="id_tarif" name="id_tarif" class="form-control" readonly>
                    <div class="row">
                        <div class="col-sm-6 col-xs-12">
                            <div class="form-group">
                                <label>Provinsi</label>
                                <select class="form-control select2" id="provinsi" name="provinsi" required>
                                    <option disabled selected value="">-Pilih Provinsi-</option>
                                </select>
                                <div class="invalid-feedback">Provinsi tidak boleh kosong.</div>
                            </div>
                        </div>
                        <div class="col-sm-6 col-xs-12">
                            <div class="form-group">
                                <label>Kota/ Kabupaten</label>
                                <select class="form-control select2" id="kabupaten" name="kabupaten" required>
                                    <option disabled selected value="">-Pilih Kota/ Kabupaten-</option>
                                </select>
                                <div class="invalid-feedback">Kota/ Kabupaten tidak boleh kosong.</div>
                            </div>
                        </div>
                        <div class="col-sm-6 col-xs-12">
                            <div class="form-group">
                                <label>Kecamatan</label>
                                <select class="form-control select2" id="kecamatan" name="kecamatan" required>
                                    <option disabled selected value="">-Pilih Kecamatan-</option>
                                </select>
                                <div class="invalid-feedback">Kecamatan tidak boleh kosong.</div>
                            </div>
                        </div>
                        <div class="col-sm-6 col-xs-12">
                            <div class="form-group">
                                <label>Desa/ Kelurahan</label>
                                <select class="form-control select2" id="kelurahan" name="kelurahan" required>
                                    <option disabled selected value="">-Pilih Desa/Kelurahan-</option>
                                </select>
                                <div class="invalid-feedback">Desa/ Kelurahan tidak boleh kosong.</div>
                            </div>
                        </div>
                        <div class="col-sm-8 col-xs-6">
                            <div class="form-group">
                                <label class="form-label">Area/ Wilayah <span class="text-danger">*</span></label>
                                <input type="text" id="nama_kategori" name="nama_kategori" class="form-control"
                                    required>
                                <div class="invalid-feedback">Kode Area/ Wilayah tidak boleh kosong.</div>
                            </div>
                        </div>
                        <div class="col-sm-4 col-xs-6">
                            <div class="form-group">
                                <label class="form-label">Tarif <span class="text-danger">*</span></label>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <span class="input-group-text">Rp.</span>
                                    </div>
                                    <input type="text" id="tarif" name="tarif" class="form-control"
                                        style="text-align: right;" required>
                                </div>
                                <div class="invalid-feedback">Tarif tidak boleh kosong.</div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <!-- button simpan data -->
                <button id="btn-simpan" type="button"
                    class="btn btn-primary rounded-pill py-2 px-4 me-2">Simpan</button>
                <!-- button tutup modal form -->
                <button type="button" class="btn btn-secondary rounded-pill py-2 px-4"
                    data-bs-dismiss="modal">Batal</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal form detail data -->
<div class="modal fade" id="mdl-form-detail" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
    aria-labelledby="mdl-label" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <!-- judul form -->
                <h1 class="modal-title fs-5">
                    <i class="fa-solid fa-list-ul me-2"></i> Detail Data Tarif
                </h1>
            </div>
            <div class="modal-body text-start">
                <!-- detail data -->
                <div class="d-flex flex-column flex-xl-row">
                    <div class="flex-grow-1 text-muted fw-light ms-xl-5">
                        <div class="table-responsive">
                            <table class="table table-striped lh-lg">
                                <tr>
                                    <td width="200">ID Siswa</td>
                                    <td width="10">:</td>
                                    <td id="dt_id_tarif"></td>
                                </tr>
                                <tr>
                                    <td>Tanggal Daftar</td>
                                    <td>:</td>
                                    <td id="dt_tanggal_daftar"></td>
                                </tr>
                                <tr>
                                    <td>Kelas</td>
                                    <td>:</td>
                                    <td id="dt_kelas"></td>
                                </tr>
                                <tr>
                                    <td>Nama Lengkap</td>
                                    <td>:</td>
                                    <td id="dt_nama_lengkap"></td>
                                </tr>
                                <tr>
                                    <td>Jenis Kelamin</td>
                                    <td>:</td>
                                    <td id="dt_jenis_kelamin"></td>
                                </tr>
                                <tr>
                                    <td>Alamat</td>
                                    <td>:</td>
                                    <td id="dt_alamat"></td>
                                </tr>
                                <tr>
                                    <td>Email</td>
                                    <td>:</td>
                                    <td id="dt_email"></td>
                                </tr>
                                <tr>
                                    <td>WhatsApp</td>
                                    <td>:</td>
                                    <td id="dt_whatsapp"></td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <!-- button tutup modal form -->
                <button type="button" class="btn btn-secondary rounded-pill py-2 px-4"
                    data-bs-dismiss="modal">Tutup</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function () {

        /** Tampil Data
         *****************
        */
        // DataTables plugin untuk membuat nomor urut tabel
        $.fn.dataTableExt.oApi.fnPagingInfo = function (oSettings) {
            return {
                "iStart": oSettings._iDisplayStart,
                "iEnd": oSettings.fnDisplayEnd(),
                "iLength": oSettings._iDisplayLength,
                "iTotal": oSettings.fnRecordsTotal(),
                "iFilteredTotal": oSettings.fnRecordsDisplay(),
                "iPage": Math.ceil(oSettings._iDisplayStart / oSettings._iDisplayLength),
                "iTotalPages": Math.ceil(oSettings.fnRecordsDisplay() / oSettings._iDisplayLength)
            };
        };

        // Menampilkan data dengan datatables serverside processing
        var table = $('#tabel-tarif').DataTable({
            "processing": true,                     // tampilkan loading saat proses tampil data
            "serverSide": true,                     // aktifkan serverside processing
            "ajax": 'data.php',                     // file proses tampil data dari database
            // tampilkan data
            "columnDefs": [
                { "targets": 0, "data": null, "orderable": false, "searchable": false, "width": '20px', "className": 'text-center' },
                { "targets": 1, "width": "150px" },
                { "targets": 2, "width": "50px" },
                { "targets": 3, "width": "50px" },
                { "targets": 4, "width": "50px" },
                { "targets": 5, "width": "50px" },
                { "targets": 6, "width": "50px", "className": "text-right" },
                {
                    "targets": 7, "data": null, "orderable": false, "searchable": false, "width": '80px', "className": 'text-center',
                    // button detail, ubah, dan hapus data
                    "render": function (data, type, row) {
                        var btn = "<a class=\"btn-ubah\" href=\"javascript:void(0);\"><i class='fa fa-edit text-orange mr-1'></i></a><a class=\"btn-hapus\" href=\"javascript:void(0);\"><i class='fa fa-trash text-red'></i></a>";
                        return btn;
                    }
                }
            ],
            "order": [[1, "desc"]],               // urutkan data berdasarkan "id_tarif" secara descending
            "iDisplayLength": 10,                   // tampilkan 10 data per halaman
            // membuat nomor urut tabel
            "rowCallback": function (row, data, iDisplayIndex) {
                var info = this.fnPagingInfo();
                var page = info.iPage;
                var length = info.iLength;
                var index = page * length + (iDisplayIndex + 1);
                $('td:eq(0)', row).html(index);
            }
        });

        /** Form
         ********************
         * Form Entri Data
         * Form Detail Data
         * Form Ubah Data
         * Validasi dan Preview File
        */
        // Menampilkan Modal Form Entri Data
        $('#btn-entri').click(function () {
            // ajax request untuk mengambil data "id_tarif"
            $.ajax({
                url: "get_id.php",      // file proses get data
                // fungsi yang dijalankan sebelum ajax request dikirim
                beforeSend: function () {
                    // tampilkan preloader
                    $('.preloader').fadeIn('slow');
                },
                // fungsi yang dijalankan ketika ajax request berhasil
                success: function (result) {
                    // memberikan interval waktu sebelum fungsi dijalankan
                    setTimeout(function () {
                        // tutup preloader
                        $('.preloader').fadeOut('fast');
                        // tampilkan modal form
                        $('#mdl-form').modal('show');
                        // judul form
                        $('#mdl-label').text('Entri Data Tarif');
                        // reset form
                        $('#frm-tarif')[0].reset();
                        // hapus class was-validated pada form
                        $("#frm-tarif").removeClass('was-validated');
                        // tampilkan data "id_tarif"
                        $('#id_tarif').val(result);
                    }, 500);
                }
            });
        });

        // Menampilkan Modal Form Detail Data
        $('#tabel-tarif tbody').on('click', '.btn-detail', function () {
            // mengambil data dari datatables 
            var data = table.row($(this).parents('tr')).data();
            // membuat variabel untuk menampung data "id_tarif"
            var id_tarif = data[7];

            // ajax request untuk mengambil Data Tarif
            $.ajax({
                type: "GET",                        // mengirim data dengan method GET 
                url: "get_data.php",                // file proses get data
                data: { id_tarif: id_tarif },       // data yang dikirim
                dataType: "JSON",                   // menggunakan tipe data JSON
                // fungsi yang dijalankan sebelum ajax request dikirim
                beforeSend: function () {
                    // tampilkan preloader
                    $('.preloader').fadeIn('slow');
                },
                // fungsi yang dijalankan ketika ajax request berhasil
                success: function (result) {
                    // memberikan interval waktu sebelum fungsi dijalankan
                    setTimeout(function () {
                        // tutup preloader
                        $('.preloader').fadeOut('fast');
                        // tampilkan modal form
                        $('#mdl-form-detail').modal('show');

                        // ubah format tanggal menjadi Hari-Bulan-Tahun (d-m-Y) sebelum ditampilkan ke form
                        var tanggal = result.tanggal_daftar;
                        var dateArray = tanggal.split('-');
                        var tanggal_daftar = dateArray[2] + '-' + dateArray[1] + '-' + dateArray[0];

                        // tampilkan data ke form
                        $('#dt_id_tarif').text(result.id_tarif);
                        $('#dt_tanggal_daftar').text(tanggal_daftar);
                        $('#dt_kelas').text(result.kelas);
                        $('#dt_nama_lengkap').text(result.nama_lengkap);
                        $('#dt_jenis_kelamin').text(result.jenis_kelamin);
                        $('#dt_alamat').text(result.alamat);
                        $('#dt_email').text(result.email);
                        $('#dt_whatsapp').text(result.whatsapp);
                    }, 500);
                }
            });
        });

        // Menampilkan Modal Form Ubah Data
        $('#tabel-tarif tbody').on('click', '.btn-ubah', function () {
            // mengambil data dari datatables 
            var data = table.row($(this).parents('tr')).data();
            // membuat variabel untuk menampung data "id_tarif"
            var id_tarif = data[7];

            // ajax request untuk mengambil Data Tarif
            $.ajax({
                type: "GET",                        // mengirim data dengan method GET 
                url: "get_data.php",                // file proses get data
                data: { id_tarif: id_tarif },       // data yang dikirim
                dataType: "JSON",                   // menggunakan tipe data JSON
                // fungsi yang dijalankan sebelum ajax request dikirim
                beforeSend: function () {
                    // tampilkan preloader
                    $('.preloader').fadeIn('slow');
                },
                // fungsi yang dijalankan ketika ajax request berhasil
                success: function (result) {
                    // memberikan interval waktu sebelum fungsi dijalankan
                    setTimeout(function () {
                        // tutup preloader
                        $('.preloader').fadeOut('fast');
                        // tampilkan modal form
                        $('#mdl-form').modal('show');
                        // judul form
                        $('#mdl-label').text('Ubah Data Tarif');
                        // hapus class was-validated pada form
                        $("#frm-tarif").removeClass('was-validated');

                        // tampilkan data ke form
                        $('#id_tarif').val(result.id_tarif);
                        $('#provinsi').val(result.provinsi);
                        $('#kabupaten').val(result.kabupaten);
                        $('#kecamatan').val(result.kecamatan);
                        $('#kelurahan').val(result.kelurahan);
                        $('#nama_kategori').val(nama_kategori);
                        $('#tarif').val(result.tarif);
                    }, 500);
                }
            });
        });

        /** Proses
         ********************
         * Insert Data
         * Update Data
         * Delete Data
        */
        // Proses Insert dan Update Data
        $('#btn-simpan').click(function () {
            // validasi form input
            // jika ada input (required) yang kosong
            if ($("#frm-tarif")[0].checkValidity() === false) {
                // batalkan submit form
                event.preventDefault()
                event.stopPropagation()
            }
            // jika tidak ada input (required) yang kosong, jalankan perintah insert / update data
            else {
                // jika form entri Data Tarif yang ditampilkan, jalankan perintah insert
                if ($('#mdl-label').text() == "Entri Data Tarif") {
                    // ambil data hasil submit dari form dan buat variabel untuk menampung data menggunakan "FormData"
                    var data = new FormData();
                    data.append('id_tarif', $('#id_tarif').val());
                    data.append('provinsi', $('#provinsi').val());
                    data.append('kabupaten', $('#kabupaten').val());
                    data.append('kecamatan', $('#kecamatan').val());
                    data.append('kelurahan', $('#kelurahan').val());
                    data.append('nama_kategori', $('#nama_kategori').val());
                    data.append('tarif', $('#tarif').val());

                    // ajax request untuk insert Data Tarif
                    $.ajax({
                        type: "POST",               // mengirim data dengan method POST 
                        url: "insert.php",          // file proses insert data
                        data: data,                 // data yang dikirim
                        contentType: false,
                        processData: false,
                        // fungsi yang dijalankan sebelum ajax request dikirim
                        beforeSend: function () {
                            // tampilkan preloader
                            $('.preloader').fadeIn('slow');
                        },
                        // fungsi yang dijalankan ketika ajax request berhasil
                        success: function (result) {
                            // jika insert data berhasil
                            if (result === "sukses") {
                                // memberikan interval waktu sebelum fungsi dijalankan
                                setTimeout(function () {
                                    // tutup preloader
                                    $('.preloader').fadeOut('fast');
                                    // tutup modal form
                                    $('#mdl-form').modal('hide');
                                    // tampilkan pesan sukses simpan data
                                    $.notify({
                                        title: '<h5 class="font-weight-bold mb-1"><i class="fas fa-check-circle me-2"></i>Sukses!</h5>',
                                        message: 'Data Tarif berhasil disimpan.'
                                    }, {
                                        type: 'success',
                                        allow_dismiss: false,
                                    });
                                    // reload data pada tabel
                                    var table = $('#tabel-tarif').DataTable();
                                    table.ajax.reload(null, false);
                                }, 500);
                            }
                            // jika insert data gagal
                            else {
                                // memberikan interval waktu sebelum fungsi dijalankan
                                setTimeout(function () {
                                    // tutup preloader
                                    $('.preloader').fadeOut('fast');
                                    // tampilkan pesan gagal dan error result
                                    $.notify({
                                        title: '<h5 class="font-weight-bold mb-1"><i class="fas fa-times-circle me-2"></i>Gagal!</h5>',
                                        message: 'Query Error : ' + result
                                    }, {
                                        type: 'danger',
                                        allow_dismiss: false,
                                    });
                                }, 500);
                            }
                        }
                    });
                    return false;
                }
                // jika form ubah Data Tarif yang ditampilkan, jalankan perintah update
                else if ($('#mdl-label').text() == "Ubah Data Tarif") {
                    // ambil data hasil submit dari form dan buat variabel untuk menampung data menggunakan "FormData"
                    var data = new FormData();
                    data.append('id_tarif', $('#id_tarif').val());
                    data.append('kelurahan', $('#kelurahan').val());
                    data.append('kecamatan', $('#kecamatan').val());
                    data.append('kabupaten', $('#kabupaten').val());
                    // data.append('provinsi', $('input[name="provinsi"]:selected').val());
                    data.append('provinsi', $('#provinsi').val());
                    data.append('nama_kategori', $('#nama_kategori').val());
                    data.append('tarif', $('#tarif').val());

                    // ajax request untuk update Data Tarif
                    $.ajax({
                        type: "POST",               // mengirim data dengan method POST 
                        url: "update.php",          // file proses update data
                        data: data,                 // data yang dikirim
                        contentType: false,
                        processData: false,
                        // fungsi yang dijalankan sebelum ajax request dikirim
                        beforeSend: function () {
                            // tampilkan preloader
                            $('.preloader').fadeIn('slow');
                        },
                        // fungsi yang dijalankan ketika ajax request berhasil
                        success: function (result) {
                            // jika update data berhasil
                            if (result === "sukses") {
                                // memberikan interval waktu sebelum fungsi dijalankan
                                setTimeout(function () {
                                    // tutup preloader
                                    $('.preloader').fadeOut('fast');
                                    // tutup modal form
                                    $('#mdl-form').modal('hide');
                                    // tampilkan pesan sukses ubah data
                                    $.notify({
                                        title: '<h5 class="font-weight-bold mb-1"><i class="fas fa-check-circle me-2"></i>Sukses!</h5>',
                                        message: 'Data Tarif berhasil diubah.'
                                    }, {
                                        type: 'success',
                                        allow_dismiss: false,
                                    });
                                    // reload data pada tabel
                                    var table = $('#tabel-tarif').DataTable();
                                    table.ajax.reload(null, false);
                                }, 500);
                            }
                            // jika update data gagal
                            else {
                                // memberikan interval waktu sebelum fungsi dijalankan
                                setTimeout(function () {
                                    // tutup preloader
                                    $('.preloader').fadeOut('fast');
                                    // tampilkan pesan gagal dan error result
                                    $.notify({
                                        title: '<h5 class="font-weight-bold mb-1"><i class="fas fa-times-circle me-2"></i>Gagal!</h5>',
                                        message: 'Query Error : ' + result
                                    }, {
                                        type: 'danger',
                                        allow_dismiss: false,
                                    });
                                }, 500);
                            }
                        }
                    });
                    return false;
                }
            }

            // tambahkan class was-validated pada form input saat form input sudah divalidasi
            $("#frm-tarif").addClass('was-validated');
        });

        // Proses Delete Data
        $('#tabel-tarif tbody').on('click', '.btn-hapus', function () {
            // mengambil data dari datatables 
            var data = table.row($(this).parents('tr')).data();

            // tampilkan notifikasi saat akan menghapus data
            bootbox.dialog({
                title: '<i class="fa-regular fa-trash-can me-2"></i> Hapus Data Tarif',
                message: '<p class="mb-2">Anda yakin ingin menghapus Data Tarif?</p><p class="fw-bold mb-2">' + data[2] + ' - ' + data[3] + '</p>',
                closeButton: false,
                buttons: {
                    cancel: {
                        label: "Batal",
                        className: 'btn-secondary rounded-pill px-3',
                    },
                    ok: {
                        label: "Ya, Hapus",
                        className: 'btn-danger rounded-pill px-3',
                        callback: function () {
                            // membuat variabel untuk menampung data "id_tarif"
                            var id_tarif = data[7];

                            // ajax request untuk delete Data Tarif
                            $.ajax({
                                type: "POST",                   // mengirim data dengan method POST 
                                url: "delete.php",              // file proses delete data
                                data: { id_tarif: id_tarif },   // data yang dikirim
                                // fungsi yang dijalankan sebelum ajax request dikirim
                                beforeSend: function () {
                                    // tampilkan preloader
                                    $('.preloader').fadeIn('slow');
                                },
                                // fungsi yang dijalankan ketika ajax request berhasil
                                success: function (result) {
                                    // jika delete data berhasil
                                    if (result === "sukses") {
                                        // memberikan interval waktu sebelum fungsi dijalankan
                                        setTimeout(function () {
                                            // tutup preloader
                                            $('.preloader').fadeOut('fast');
                                            // tampilkan pesan sukses hapus data
                                            $.notify({
                                                title: '<h5 class="font-weight-bold mb-1"><i class="fas fa-check-circle me-2"></i>Sukses!</h5>',
                                                message: 'Data Tarif berhasil dihapus.'
                                            }, {
                                                type: 'success',
                                                allow_dismiss: false,
                                            });
                                            // reload data pada tabel
                                            var table = $('#tabel-tarif').DataTable();
                                            table.ajax.reload(null, false);
                                        }, 500);
                                    }
                                    // jika delete data gagal
                                    else {
                                        // memberikan interval waktu sebelum fungsi dijalankan
                                        setTimeout(function () {
                                            // tutup preloader
                                            $('.preloader').fadeOut('fast');
                                            // tampilkan pesan gagal dan error result
                                            $.notify({
                                                title: '<h5 class="font-weight-bold mb-1"><i class="fas fa-times-circle me-2"></i>Gagal!</h5>',
                                                message: 'Query Error : ' + result
                                            }, {
                                                type: 'danger',
                                                allow_dismiss: false,
                                            });
                                        }, 500);
                                    }
                                }
                            });
                        }
                    }
                }
            });
        });
    });
</script>
<script type="text/javascript">
    $(document).ready(function () {
        $.ajax({
            type: 'POST',
            url: "wilayah/get_provinsi.php",
            cache: false,
            success: function (msg) {
                $("#provinsi").html(msg);
            }
        });

        $("#provinsi").change(function () {
            var provinsi = $("#provinsi").val();
            $.ajax({
                type: 'POST',
                url: "wilayah/get_kabupaten.php",
                data: { provinsi: provinsi },
                cache: false,
                success: function (msg) {
                    $("#kabupaten").html(msg);
                }
            });
        });

        $("#kabupaten").change(function () {
            var kabupaten = $("#kabupaten").val();
            $.ajax({
                type: 'POST',
                url: "wilayah/get_kecamatan.php",
                data: { kabupaten: kabupaten },
                cache: false,
                success: function (msg) {
                    $("#kecamatan").html(msg);
                }
            });
        });

        $("#kecamatan").change(function () {
            var kecamatan = $("#kecamatan").val();
            $.ajax({
                type: 'POST',
                url: "wilayah/get_kelurahan.php",
                data: { kecamatan: kecamatan },
                cache: false,
                success: function (msg) {
                    $("#kelurahan").html(msg);
                }
            });
        });
    });
</script>
<script>
    $(document).ready(function () {
        $('#mdl-form .select2').each(function () {
            var $p = $(this).parent();
            $(this).select2({
                dropdownParent: $p
            });
        });
    });
</script>